unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  FullPreview, StdCtrls;       

type
  TForm1 = class(TForm)
    FullPreview1: TFullPreview;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure FullPreview1RequestFullSize(Scale: Single; var Width,
      Height: Integer);
    procedure Button1Click(Sender: TObject);
    procedure FullPreview1Draw(X, Y: Integer; Scale,FontScale: Single;
      PrCanvas: TCanvas);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses shellapi;

procedure TForm1.FullPreview1RequestFullSize(Scale: Single; var Width,
  Height: Integer);
begin
Width:=trunc(510*Scale);
Height:=trunc(510*Scale);
end;

procedure TForm1.FullPreview1Draw(X, Y: Integer; Scale,FontScale: Single;
  PrCanvas: TCanvas);

function Ax(x0:Integer):Integer;
begin
result:=x+round(x0*Scale);
end;
function Ay(y0:Integer):Integer;
begin
result:=y+round(y0*Scale);
end;

procedure SetFontSize(siz:byte);
begin
with PrCanvas.Font do begin
        Size:=trunc(siz*FontScale);
        if Size>=8 then Name:='MS Sans Serif'
        else Name:='Small Fonts';
end;
end;

begin
with PrCanvas do begin
        Pen.Color:=clBlack;
        Brush.Color:=clBlue;
        Rectangle(Ax(100),Ay(100),Ax(300),Ay(300));
        Brush.Color:=clAqua;
        Polygon([Point(Ax(500),Ay(100)),Point(Ax(500),Ay(300)),
        Point(Ax(350),Ay(300))]);
        Brush.Color:=clLime;
        Ellipse(Ax(200),Ay(200),Ax(450),Ay(450));
        SetFontSize(15);
        Brush.Color:=clWhite;
        TextOut(Ax(220),Ay(450),'Demo TFullPreview');
end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
Form1.FullPreview1.Execute;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
ShellExecute(0,Nil,'order.txt',Nil,Nil,SW_NORMAL);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
ShellExecute(0,Nil,'http://www.shareit.com/programs/102974.htm',Nil,Nil,SW_NORMAL);
end;

end.
